Bug 1955943 - Review Request: rust-sval_json - JSON support for the sval serialization framework
Summary: Review Request: rust-sval_json - JSON support for the sval serialization fram...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1865750
Blocks: 1955944
TreeView+ depends on / blocked
 
Reported: 2021-05-01 15:57 UTC by Fabio Valentini
Modified: 2021-05-12 04:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-10 20:09:49 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2021-05-01 15:57:31 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-sval_json.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-sval_json-1.0.0~alpha.5-1.fc34.src.rpm

Description:
JSON support for the sval serialization framework.

Fedora Account System Username: decathorpe

Comment 1 Fabio Valentini 2021-05-01 16:20:24 UTC
Depends on sval 1.0.0. All packages need to be updated together.

Dependent packages and pending updates for rust-sval and rust-sval_derive are available in COPR for test builds:
https://copr.fedorainfracloud.org/coprs/decathorpe/sval-1.0.0-and-log-0.4.14/monitor/

Comment 2 Robert-André Mauchin 🐧 2021-05-09 13:47:35 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 4 Gwyn Ciesla 2021-05-10 15:52:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-sval_json

Comment 5 Fedora Update System 2021-05-10 20:08:31 UTC
FEDORA-2021-20de661b7d has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-20de661b7d

Comment 6 Fedora Update System 2021-05-10 20:09:49 UTC
FEDORA-2021-b0fd21634d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-05-12 04:43:44 UTC
FEDORA-2021-20de661b7d has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20de661b7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20de661b7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.